Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.collection
Class OsgiServiceSortedSet

    java.lang.Object
      org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceCollection
          org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceSet
              org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceSortedSet

All Implemented Interfaces:
  Iterable, Collection, Set, SortedSet, CollectionProxy, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.InitializingBean

    public class OsgiServiceSortedSet

extends OsgiServiceSet
implements SortedSet

OSGi service dynamic collection - allows iterating while the underlying storage is being shrunk/expanded. This collection is read-only - its content is being retrieved dynamically from the OSGi platform.

This collection and its iterators are thread-safe. That is, multiple threads can access the collection. However, since the collection is read-only, it cannot be modified by the client.

Author:
  Costin Leau

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceCollection
`OsgiServiceCollection.OsgiServiceIterator`

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceCollection
`services, servicesIdMap`

Constructor Summary
`OsgiServiceSortedSet(org.osgi.framework.Filter filter, org.osgi.framework.BundleContext context, ClassLoader classLoader, Comparator comparator, ServiceProxyCreator proxyCreator, boolean useServiceReferences)`
`OsgiServiceSortedSet(org.osgi.framework.Filter filter, org.osgi.framework.BundleContext context, ClassLoader classLoader, ServiceProxyCreator proxyCreator, boolean useServiceReferences)`

Method Summary
`Comparator` | `comparator()`
`protected DynamicCollection` | `createInternalDynamicStorage()` Create the dynamic storage used internally.
`Object` | `first()`
`SortedSet` | `headSet(Object toElement)`
`Object` | `last()`
`SortedSet` | `subSet(Object fromElement, Object toElement)`
`SortedSet` | `tailSet(Object fromElement)`

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceCollection
`add, addAll, afterPropertiesSet, clear, contains, containsAll, destroy, isEmpty, isSatisfied, iterator, mandatoryServiceCheck, remove, removeAll, retainAll, setListeners, setRequiredAtStartup, setServiceImporter, setServiceImporterName, setStateListeners, setUseBlueprintExceptions, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### OsgiServiceSortedSet

    public OsgiServiceSortedSet(org.osgi.framework.Filter filter,
                                org.osgi.framework.BundleContext context,
                                ClassLoader classLoader,
                                ServiceProxyCreator proxyCreator,
                                boolean useServiceReferences)

### OsgiServiceSortedSet

    public OsgiServiceSortedSet(org.osgi.framework.Filter filter,
                                org.osgi.framework.BundleContext context,
                                ClassLoader classLoader,
                                Comparator comparator,
                                ServiceProxyCreator proxyCreator,
                                boolean useServiceReferences)

Method Detail

### createInternalDynamicStorage

    protected DynamicCollection createInternalDynamicStorage()

  Description copied from class: `OsgiServiceCollection`
  Create the dynamic storage used internally. The storage has to be thread-safe.

  Overrides:
    `createInternalDynamicStorage` in class `OsgiServiceSet`

### comparator

    public Comparator comparator()

  Specified by:
    `comparator` in interface `SortedSet`

### first

    public Object first()

  Specified by:
    `first` in interface `SortedSet`

### last

    public Object last()

  Specified by:
    `last` in interface `SortedSet`

### tailSet

    public SortedSet tailSet(Object fromElement)

  Specified by:
    `tailSet` in interface `SortedSet`

### headSet

    public SortedSet headSet(Object toElement)

  Specified by:
    `headSet` in interface `SortedSet`

### subSet

    public SortedSet subSet(Object fromElement,
                            Object toElement)

  Specified by:
    `subSet` in interface `SortedSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.